<?xml version="1.0" encoding="UTF-8"?>

<forest sent_id="s_017_a42_xq10">
  <text>Jan czyta Piotrowi ciekawą książkę ojca .</text>
  <startnode from="0" to="7">wypowiedzenie</startnode>
  <stats trees="27" nodes="200" inferences="354470" cputime="0.22"/>
  <node nid="0" from="0" to="7" subtrees="27">
    <label>wypowiedzenie</label>
    <children rule="w1">
      <child nid="1" from="0" to="6"/>
      <child nid="198" from="6" to="7"/>
    </children>
  </node>
  <node nid="1" from="0" to="6" subtrees="27">
    <label>zr(os, nd, ter, ozn, mos/poj, 3, tak, ni, np, 0)</label>
    <children rule="r1">
      <child nid="2" from="0" to="6"/>
    </children>
  </node>
  <node nid="2" from="0" to="6" subtrees="27">
    <label>zsz(os, nd, ter, ozn, mos/poj, 3, tak, ni, np, 1)</label>
    <children rule="s1">
      <child nid="3" from="0" to="6"/>
    </children>
  </node>
  <node nid="3" from="0" to="6" subtrees="27">
    <label>zj(os, nd, ter, ozn, mos/poj, 3, tak, ni, np, przec, 2)</label>
    <children rule="j1">
      <child nid="4" from="0" to="6"/>
    </children>
  </node>
  <node nid="4" from="0" to="6" subtrees="27">
    <label>zp(os, nd, ter, ozn, mos/poj, 3, tak, ni, np, 3)</label>
    <children rule="p1">
      <child nid="5" from="0" to="6"/>
    </children>
    <children rule="p1">
      <child nid="133" from="0" to="6"/>
    </children>
    <children rule="p1">
      <child nid="169" from="0" to="6"/>
    </children>
    <children rule="p1">
      <child nid="180" from="0" to="6"/>
    </children>
  </node>
  <node nid="5" from="0" to="6" subtrees="8">
    <label>ze(os, nd, ter, ozn, mos/poj, 3, [np(mian)], tak, ni, np, br, 4)</label>
    <children rule="e5">
      <child nid="6" from="0" to="1"/>
      <child nid="16" from="1" to="6"/>
    </children>
  </node>
  <node nid="6" from="0" to="1" subtrees="1">
    <label>fw(np(mian), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy1">
      <child nid="7" from="0" to="1"/>
    </children>
  </node>
  <node nid="7" from="0" to="1" subtrees="1">
    <label>fw1(np(mian), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy8">
      <child nid="8" from="0" to="1"/>
    </children>
  </node>
  <node nid="8" from="0" to="1" subtrees="1">
    <label>fno(mian, mos/poj, 3, tak, ni, np, rzecz, 0)</label>
    <children rule="no1">
      <child nid="9" from="0" to="1"/>
    </children>
  </node>
  <node nid="9" from="0" to="1" subtrees="1">
    <label>knodop(mian, mos/poj, 3, tak, ni, np, rzecz, 1)</label>
    <children rule="no5">
      <child nid="10" from="0" to="1"/>
    </children>
  </node>
  <node nid="10" from="0" to="1" subtrees="1">
    <label>knopm(mian, mos/poj, 3, tak, ni, np, rzecz, 2)</label>
    <children rule="no12">
      <child nid="11" from="0" to="1"/>
    </children>
  </node>
  <node nid="11" from="0" to="1" subtrees="1">
    <label>knoatr(mian, mos/poj, 3, tak, ni, np, rzecz, 3)</label>
    <children rule="no19">
      <child nid="12" from="0" to="1"/>
    </children>
  </node>
  <node nid="12" from="0" to="1" subtrees="1">
    <label>knoink(mian, mos/poj, 3, tak, ni, np, rzecz, 4)</label>
    <children rule="no40">
      <child nid="13" from="0" to="1"/>
    </children>
  </node>
  <node nid="13" from="0" to="1" subtrees="1">
    <label>knom(mian, mos/poj, 3, tak, np, rzecz, 5)</label>
    <children rule="no46">
      <child nid="14" from="0" to="1"/>
    </children>
  </node>
  <node nid="14" from="0" to="1" subtrees="1">
    <label>formarzecz(mian, mos/poj)</label>
    <children rule="n_rz1">
      <child nid="15" from="0" to="1"/>
    </children>
  </node>
  <node nid="15" from="0" to="1" subtrees="1">
    <label>terminal(morf(Jan, jan, subst:sg:nom:m1))</label>
  </node>
  <node nid="16" from="1" to="6" subtrees="8">
    <label>ff(os, nd, ter, ozn, mos/poj, 3, [np(mian)], _, tak, ni, np, br)</label>
    <children rule="fi3">
      <child nid="17" from="1" to="2"/>
      <child nid="25" from="2" to="6"/>
    </children>
  </node>
  <node nid="17" from="1" to="2" subtrees="1">
    <label>ff1(os, nd, ter, ozn, mos/poj, 3, [np(mian)], _, tak, ni, np, br)</label>
    <children rule="fi4">
      <child nid="18" from="1" to="2"/>
    </children>
  </node>
  <node nid="18" from="1" to="2" subtrees="1">
    <label>kweneg(os, nd, ter, ozn, mos/poj, 3, [np(mian)], _, tak, ni, np)</label>
    <children rule="we22e">
      <child nid="19" from="1" to="2"/>
    </children>
  </node>
  <node nid="19" from="1" to="2" subtrees="1">
    <label>kweink(os, nd, ter, ozn, mos/poj, 3, [np(mian)], _, ni, np)</label>
    <children rule="we26">
      <child nid="20" from="1" to="2"/>
    </children>
  </node>
  <node nid="20" from="1" to="2" subtrees="1">
    <label>kwer(os, nd, ter, ozn, mos/poj, 3, [np(mian)], _, np)</label>
    <children rule="we29">
      <child nid="21" from="1" to="2"/>
    </children>
  </node>
  <node nid="21" from="1" to="2" subtrees="1">
    <label>kwer1(os, nd, ter, ozn, mos/poj, 3, [np(mian)], _, np)</label>
    <children rule="we30n">
      <child nid="22" from="1" to="2"/>
    </children>
  </node>
  <node nid="22" from="1" to="2" subtrees="1">
    <label>formaczas(os, nd, ter, ozn, mos/poj, 3, [np(mian)], _)</label>
    <children rule="n_cz1">
      <child nid="23" from="1" to="2"/>
    </children>
  </node>
  <node nid="23" from="1" to="2" subtrees="1">
    <label>formaczas1(n, os, nd, ter, ozn, mos/poj, 3, [np(mian)], _)</label>
    <children rule="n_cz4">
      <child nid="24" from="1" to="2"/>
    </children>
  </node>
  <node nid="24" from="1" to="2" subtrees="1">
    <label>terminal(morf(czyta, czytać, fin:sg:ter:imperf))</label>
  </node>
  <node nid="25" from="2" to="6" subtrees="8">
    <label>fl(nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="lu1">
      <child nid="26" from="2" to="6"/>
    </children>
    <children rule="lu4">
      <child nid="84" from="2" to="5"/>
      <child nid="87" from="5" to="6"/>
    </children>
    <children rule="lu4">
      <child nid="102" from="2" to="3"/>
      <child nid="109" from="3" to="6"/>
    </children>
  </node>
  <node nid="26" from="2" to="6" subtrees="2">
    <label>fl1(nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="lu6">
      <child nid="27" from="2" to="6"/>
    </children>
    <children rule="lu6">
      <child nid="65" from="2" to="6"/>
    </children>
  </node>
  <node nid="27" from="2" to="6" subtrees="1">
    <label>fno(bier, żeń/poj, 3, tak, ni, np, rzecz, 2)</label>
    <children rule="no1">
      <child nid="28" from="2" to="6"/>
    </children>
  </node>
  <node nid="28" from="2" to="6" subtrees="1">
    <label>knodop(bier, żeń/poj, 3, tak, ni, np, rzecz, 3)</label>
    <children rule="no5">
      <child nid="29" from="2" to="6"/>
    </children>
  </node>
  <node nid="29" from="2" to="6" subtrees="1">
    <label>knopm(bier, żeń/poj, 3, tak, ni, np, rzecz, 4)</label>
    <children rule="no12">
      <child nid="30" from="2" to="6"/>
    </children>
  </node>
  <node nid="30" from="2" to="6" subtrees="1">
    <label>knoatr(bier, żeń/poj, 3, tak, ni, np, rzecz, 5)</label>
    <children rule="no27">
      <child nid="31" from="2" to="4"/>
      <child nid="47" from="4" to="6"/>
    </children>
  </node>
  <node nid="31" from="2" to="4" subtrees="1">
    <label>fpt(bier, żeń/poj, row, _, ni, np, przym, 4)</label>
    <children rule="pt1">
      <child nid="32" from="2" to="4"/>
    </children>
  </node>
  <node nid="32" from="2" to="4" subtrees="1">
    <label>kptno(bier, żeń/poj, row, _, ni, np, przym, 5)</label>
    <children rule="pt7">
      <child nid="33" from="2" to="3"/>
      <child nid="41" from="3" to="4"/>
    </children>
  </node>
  <node nid="33" from="2" to="3" subtrees="1">
    <label>fno(cel, mos/poj, 3, _, ni, np, rzecz, 0)</label>
    <children rule="no1">
      <child nid="34" from="2" to="3"/>
    </children>
  </node>
  <node nid="34" from="2" to="3" subtrees="1">
    <label>knodop(cel, mos/poj, 3, _, ni, np, rzecz, 1)</label>
    <children rule="no5">
      <child nid="35" from="2" to="3"/>
    </children>
  </node>
  <node nid="35" from="2" to="3" subtrees="1">
    <label>knopm(cel, mos/poj, 3, _, ni, np, rzecz, 2)</label>
    <children rule="no12">
      <child nid="36" from="2" to="3"/>
    </children>
  </node>
  <node nid="36" from="2" to="3" subtrees="1">
    <label>knoatr(cel, mos/poj, 3, _, ni, np, rzecz, 3)</label>
    <children rule="no19">
      <child nid="37" from="2" to="3"/>
    </children>
  </node>
  <node nid="37" from="2" to="3" subtrees="1">
    <label>knoink(cel, mos/poj, 3, _, ni, np, rzecz, 4)</label>
    <children rule="no40">
      <child nid="38" from="2" to="3"/>
    </children>
  </node>
  <node nid="38" from="2" to="3" subtrees="1">
    <label>knom(cel, mos/poj, 3, _, np, rzecz, 5)</label>
    <children rule="no46">
      <child nid="39" from="2" to="3"/>
    </children>
  </node>
  <node nid="39" from="2" to="3" subtrees="1">
    <label>formarzecz(cel, mos/poj)</label>
    <children rule="n_rz1">
      <child nid="40" from="2" to="3"/>
    </children>
  </node>
  <node nid="40" from="2" to="3" subtrees="1">
    <label>terminal(morf(Piotrowi, piotr, subst:sg:dat:m1))</label>
  </node>
  <node nid="41" from="3" to="4" subtrees="1">
    <label>kptpm(bier, żeń/poj, row, _, ni, np, przym, 2)</label>
    <children rule="pt10">
      <child nid="42" from="3" to="4"/>
    </children>
  </node>
  <node nid="42" from="3" to="4" subtrees="1">
    <label>kptps(bier, żeń/poj, row, _, ni, np, przym, 3)</label>
    <children rule="pt17">
      <child nid="43" from="3" to="4"/>
    </children>
  </node>
  <node nid="43" from="3" to="4" subtrees="1">
    <label>kptink(bier, żeń/poj, row, _, ni, np, przym, 4)</label>
    <children rule="pt25">
      <child nid="44" from="3" to="4"/>
    </children>
  </node>
  <node nid="44" from="3" to="4" subtrees="1">
    <label>kprzym(bier, żeń/poj, row, _, np, przym, 5)</label>
    <children rule="pt30">
      <child nid="45" from="3" to="4"/>
    </children>
  </node>
  <node nid="45" from="3" to="4" subtrees="1">
    <label>formaprzym(bier, żeń/poj, row)</label>
    <children rule="n_pt1">
      <child nid="46" from="3" to="4"/>
    </children>
  </node>
  <node nid="46" from="3" to="4" subtrees="1">
    <label>terminal(morf(ciekawą, ciekawy, adj:sg:[acc|inst]:f:pos))</label>
  </node>
  <node nid="47" from="4" to="6" subtrees="1">
    <label>knoink(bier, żeń/poj, 3, tak, ni, np, rzecz, 2)</label>
    <children rule="no40">
      <child nid="48" from="4" to="6"/>
    </children>
  </node>
  <node nid="48" from="4" to="6" subtrees="1">
    <label>knom(bier, żeń/poj, 3, tak, np, rzecz, 3)</label>
    <children rule="no48">
      <child nid="49" from="4" to="6"/>
    </children>
  </node>
  <node nid="49" from="4" to="6" subtrees="1">
    <label>fno(bier, żeń/poj, 3, tak, ni, np, rzecz, 4)</label>
    <children rule="no1">
      <child nid="50" from="4" to="6"/>
    </children>
  </node>
  <node nid="50" from="4" to="6" subtrees="1">
    <label>knodop(bier, żeń/poj, 3, tak, ni, np, rzecz, 5)</label>
    <children rule="no8">
      <child nid="51" from="4" to="5"/>
      <child nid="57" from="5" to="6"/>
    </children>
  </node>
  <node nid="51" from="4" to="5" subtrees="1">
    <label>knopm(bier, żeń/poj, 3, tak, ni, np, rzecz, 2)</label>
    <children rule="no12">
      <child nid="52" from="4" to="5"/>
    </children>
  </node>
  <node nid="52" from="4" to="5" subtrees="1">
    <label>knoatr(bier, żeń/poj, 3, tak, ni, np, rzecz, 3)</label>
    <children rule="no19">
      <child nid="53" from="4" to="5"/>
    </children>
  </node>
  <node nid="53" from="4" to="5" subtrees="1">
    <label>knoink(bier, żeń/poj, 3, tak, ni, np, rzecz, 4)</label>
    <children rule="no40">
      <child nid="54" from="4" to="5"/>
    </children>
  </node>
  <node nid="54" from="4" to="5" subtrees="1">
    <label>knom(bier, żeń/poj, 3, tak, np, rzecz, 5)</label>
    <children rule="no46">
      <child nid="55" from="4" to="5"/>
    </children>
  </node>
  <node nid="55" from="4" to="5" subtrees="1">
    <label>formarzecz(bier, żeń/poj)</label>
    <children rule="n_rz1">
      <child nid="56" from="4" to="5"/>
    </children>
  </node>
  <node nid="56" from="4" to="5" subtrees="1">
    <label>terminal(morf(książkę, książka, subst:sg:acc:f))</label>
  </node>
  <node nid="57" from="5" to="6" subtrees="1">
    <label>fno(dop, mos/poj, 3, _, ni, np, rzecz, 0)</label>
    <children rule="no1">
      <child nid="58" from="5" to="6"/>
    </children>
  </node>
  <node nid="58" from="5" to="6" subtrees="1">
    <label>knodop(dop, mos/poj, 3, _, ni, np, rzecz, 1)</label>
    <children rule="no5">
      <child nid="59" from="5" to="6"/>
    </children>
  </node>
  <node nid="59" from="5" to="6" subtrees="1">
    <label>knopm(dop, mos/poj, 3, _, ni, np, rzecz, 2)</label>
    <children rule="no12">
      <child nid="60" from="5" to="6"/>
    </children>
  </node>
  <node nid="60" from="5" to="6" subtrees="1">
    <label>knoatr(dop, mos/poj, 3, _, ni, np, rzecz, 3)</label>
    <children rule="no19">
      <child nid="61" from="5" to="6"/>
    </children>
  </node>
  <node nid="61" from="5" to="6" subtrees="1">
    <label>knoink(dop, mos/poj, 3, _, ni, np, rzecz, 4)</label>
    <children rule="no40">
      <child nid="62" from="5" to="6"/>
    </children>
  </node>
  <node nid="62" from="5" to="6" subtrees="1">
    <label>knom(dop, mos/poj, 3, _, np, rzecz, 5)</label>
    <children rule="no46">
      <child nid="63" from="5" to="6"/>
    </children>
  </node>
  <node nid="63" from="5" to="6" subtrees="1">
    <label>formarzecz(dop, mos/poj)</label>
    <children rule="n_rz1">
      <child nid="64" from="5" to="6"/>
    </children>
  </node>
  <node nid="64" from="5" to="6" subtrees="1">
    <label>terminal(morf(ojca, ojciec, subst:sg:[gen|acc]:m1))</label>
  </node>
  <node nid="65" from="2" to="6" subtrees="1">
    <label>fno(bier, żeń/poj, 3, tak, ni, np, rzecz, 4)</label>
    <children rule="no1">
      <child nid="66" from="2" to="6"/>
    </children>
  </node>
  <node nid="66" from="2" to="6" subtrees="1">
    <label>knodop(bier, żeń/poj, 3, tak, ni, np, rzecz, 5)</label>
    <children rule="no8">
      <child nid="67" from="2" to="5"/>
      <child nid="79" from="5" to="6"/>
    </children>
  </node>
  <node nid="67" from="2" to="5" subtrees="1">
    <label>knopm(bier, żeń/poj, 3, tak, ni, np, rzecz, 4)</label>
    <children rule="no12">
      <child nid="68" from="2" to="5"/>
    </children>
  </node>
  <node nid="68" from="2" to="5" subtrees="1">
    <label>knoatr(bier, żeń/poj, 3, tak, ni, np, rzecz, 5)</label>
    <children rule="no27">
      <child nid="69" from="2" to="4"/>
      <child nid="53" from="4" to="5"/>
    </children>
  </node>
  <node nid="69" from="2" to="4" subtrees="1">
    <label>fpt(bier, żeń/poj, row, _, ni, np, przym, 4)</label>
    <children rule="pt1">
      <child nid="70" from="2" to="4"/>
    </children>
  </node>
  <node nid="70" from="2" to="4" subtrees="1">
    <label>kptno(bier, żeń/poj, row, _, ni, np, przym, 5)</label>
    <children rule="pt7">
      <child nid="71" from="2" to="3"/>
      <child nid="76" from="3" to="4"/>
    </children>
  </node>
  <node nid="71" from="2" to="3" subtrees="1">
    <label>fno(cel, mos/poj, 3, _, ni, np, rzecz, 0)</label>
    <children rule="no1">
      <child nid="72" from="2" to="3"/>
    </children>
  </node>
  <node nid="72" from="2" to="3" subtrees="1">
    <label>knodop(cel, mos/poj, 3, _, ni, np, rzecz, 1)</label>
    <children rule="no5">
      <child nid="73" from="2" to="3"/>
    </children>
  </node>
  <node nid="73" from="2" to="3" subtrees="1">
    <label>knopm(cel, mos/poj, 3, _, ni, np, rzecz, 2)</label>
    <children rule="no12">
      <child nid="74" from="2" to="3"/>
    </children>
  </node>
  <node nid="74" from="2" to="3" subtrees="1">
    <label>knoatr(cel, mos/poj, 3, _, ni, np, rzecz, 3)</label>
    <children rule="no19">
      <child nid="75" from="2" to="3"/>
    </children>
  </node>
  <node nid="75" from="2" to="3" subtrees="1">
    <label>knoink(cel, mos/poj, 3, _, ni, np, rzecz, 4)</label>
    <children rule="no40">
      <child nid="38" from="2" to="3"/>
    </children>
  </node>
  <node nid="76" from="3" to="4" subtrees="1">
    <label>kptpm(bier, żeń/poj, row, _, ni, np, przym, 2)</label>
    <children rule="pt10">
      <child nid="77" from="3" to="4"/>
    </children>
  </node>
  <node nid="77" from="3" to="4" subtrees="1">
    <label>kptps(bier, żeń/poj, row, _, ni, np, przym, 3)</label>
    <children rule="pt17">
      <child nid="78" from="3" to="4"/>
    </children>
  </node>
  <node nid="78" from="3" to="4" subtrees="1">
    <label>kptink(bier, żeń/poj, row, _, ni, np, przym, 4)</label>
    <children rule="pt25">
      <child nid="44" from="3" to="4"/>
    </children>
  </node>
  <node nid="79" from="5" to="6" subtrees="1">
    <label>fno(dop, mos/poj, 3, _, ni, np, rzecz, 0)</label>
    <children rule="no1">
      <child nid="80" from="5" to="6"/>
    </children>
  </node>
  <node nid="80" from="5" to="6" subtrees="1">
    <label>knodop(dop, mos/poj, 3, _, ni, np, rzecz, 1)</label>
    <children rule="no5">
      <child nid="81" from="5" to="6"/>
    </children>
  </node>
  <node nid="81" from="5" to="6" subtrees="1">
    <label>knopm(dop, mos/poj, 3, _, ni, np, rzecz, 2)</label>
    <children rule="no12">
      <child nid="82" from="5" to="6"/>
    </children>
  </node>
  <node nid="82" from="5" to="6" subtrees="1">
    <label>knoatr(dop, mos/poj, 3, _, ni, np, rzecz, 3)</label>
    <children rule="no19">
      <child nid="83" from="5" to="6"/>
    </children>
  </node>
  <node nid="83" from="5" to="6" subtrees="1">
    <label>knoink(dop, mos/poj, 3, _, ni, np, rzecz, 4)</label>
    <children rule="no40">
      <child nid="62" from="5" to="6"/>
    </children>
  </node>
  <node nid="84" from="2" to="5" subtrees="1">
    <label>fl1(nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="lu6">
      <child nid="85" from="2" to="5"/>
    </children>
  </node>
  <node nid="85" from="2" to="5" subtrees="1">
    <label>fno(bier, żeń/poj, 3, tak, ni, np, rzecz, 2)</label>
    <children rule="no1">
      <child nid="86" from="2" to="5"/>
    </children>
  </node>
  <node nid="86" from="2" to="5" subtrees="1">
    <label>knodop(bier, żeń/poj, 3, tak, ni, np, rzecz, 3)</label>
    <children rule="no5">
      <child nid="67" from="2" to="5"/>
    </children>
  </node>
  <node nid="87" from="5" to="6" subtrees="2">
    <label>fl(nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="lu1">
      <child nid="88" from="5" to="6"/>
    </children>
  </node>
  <node nid="88" from="5" to="6" subtrees="2">
    <label>fl1(nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="lu6">
      <child nid="89" from="5" to="6"/>
    </children>
    <children rule="lu6">
      <child nid="96" from="5" to="6"/>
    </children>
  </node>
  <node nid="89" from="5" to="6" subtrees="1">
    <label>fno(bier, mos/poj, 3, tak, ni, np, rzecz, 0)</label>
    <children rule="no1">
      <child nid="90" from="5" to="6"/>
    </children>
  </node>
  <node nid="90" from="5" to="6" subtrees="1">
    <label>knodop(bier, mos/poj, 3, tak, ni, np, rzecz, 1)</label>
    <children rule="no5">
      <child nid="91" from="5" to="6"/>
    </children>
  </node>
  <node nid="91" from="5" to="6" subtrees="1">
    <label>knopm(bier, mos/poj, 3, tak, ni, np, rzecz, 2)</label>
    <children rule="no12">
      <child nid="92" from="5" to="6"/>
    </children>
  </node>
  <node nid="92" from="5" to="6" subtrees="1">
    <label>knoatr(bier, mos/poj, 3, tak, ni, np, rzecz, 3)</label>
    <children rule="no19">
      <child nid="93" from="5" to="6"/>
    </children>
  </node>
  <node nid="93" from="5" to="6" subtrees="1">
    <label>knoink(bier, mos/poj, 3, tak, ni, np, rzecz, 4)</label>
    <children rule="no40">
      <child nid="94" from="5" to="6"/>
    </children>
  </node>
  <node nid="94" from="5" to="6" subtrees="1">
    <label>knom(bier, mos/poj, 3, tak, np, rzecz, 5)</label>
    <children rule="no46">
      <child nid="95" from="5" to="6"/>
    </children>
  </node>
  <node nid="95" from="5" to="6" subtrees="1">
    <label>formarzecz(bier, mos/poj)</label>
    <children rule="n_rz1">
      <child nid="64" from="5" to="6"/>
    </children>
  </node>
  <node nid="96" from="5" to="6" subtrees="1">
    <label>fno(dop, mos/poj, 3, tak, ni, np, rzecz, 0)</label>
    <children rule="no1">
      <child nid="97" from="5" to="6"/>
    </children>
  </node>
  <node nid="97" from="5" to="6" subtrees="1">
    <label>knodop(dop, mos/poj, 3, tak, ni, np, rzecz, 1)</label>
    <children rule="no5">
      <child nid="98" from="5" to="6"/>
    </children>
  </node>
  <node nid="98" from="5" to="6" subtrees="1">
    <label>knopm(dop, mos/poj, 3, tak, ni, np, rzecz, 2)</label>
    <children rule="no12">
      <child nid="99" from="5" to="6"/>
    </children>
  </node>
  <node nid="99" from="5" to="6" subtrees="1">
    <label>knoatr(dop, mos/poj, 3, tak, ni, np, rzecz, 3)</label>
    <children rule="no19">
      <child nid="100" from="5" to="6"/>
    </children>
  </node>
  <node nid="100" from="5" to="6" subtrees="1">
    <label>knoink(dop, mos/poj, 3, tak, ni, np, rzecz, 4)</label>
    <children rule="no40">
      <child nid="101" from="5" to="6"/>
    </children>
  </node>
  <node nid="101" from="5" to="6" subtrees="1">
    <label>knom(dop, mos/poj, 3, tak, np, rzecz, 5)</label>
    <children rule="no46">
      <child nid="63" from="5" to="6"/>
    </children>
  </node>
  <node nid="102" from="2" to="3" subtrees="1">
    <label>fl1(nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="lu6">
      <child nid="103" from="2" to="3"/>
    </children>
  </node>
  <node nid="103" from="2" to="3" subtrees="1">
    <label>fno(cel, mos/poj, 3, tak, ni, np, rzecz, 0)</label>
    <children rule="no1">
      <child nid="104" from="2" to="3"/>
    </children>
  </node>
  <node nid="104" from="2" to="3" subtrees="1">
    <label>knodop(cel, mos/poj, 3, tak, ni, np, rzecz, 1)</label>
    <children rule="no5">
      <child nid="105" from="2" to="3"/>
    </children>
  </node>
  <node nid="105" from="2" to="3" subtrees="1">
    <label>knopm(cel, mos/poj, 3, tak, ni, np, rzecz, 2)</label>
    <children rule="no12">
      <child nid="106" from="2" to="3"/>
    </children>
  </node>
  <node nid="106" from="2" to="3" subtrees="1">
    <label>knoatr(cel, mos/poj, 3, tak, ni, np, rzecz, 3)</label>
    <children rule="no19">
      <child nid="107" from="2" to="3"/>
    </children>
  </node>
  <node nid="107" from="2" to="3" subtrees="1">
    <label>knoink(cel, mos/poj, 3, tak, ni, np, rzecz, 4)</label>
    <children rule="no40">
      <child nid="108" from="2" to="3"/>
    </children>
  </node>
  <node nid="108" from="2" to="3" subtrees="1">
    <label>knom(cel, mos/poj, 3, tak, np, rzecz, 5)</label>
    <children rule="no46">
      <child nid="39" from="2" to="3"/>
    </children>
  </node>
  <node nid="109" from="3" to="6" subtrees="4">
    <label>fl(nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="lu1">
      <child nid="110" from="3" to="6"/>
    </children>
    <children rule="lu4">
      <child nid="130" from="3" to="5"/>
      <child nid="87" from="5" to="6"/>
    </children>
  </node>
  <node nid="110" from="3" to="6" subtrees="2">
    <label>fl1(nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="lu6">
      <child nid="111" from="3" to="6"/>
    </children>
    <children rule="lu6">
      <child nid="119" from="3" to="6"/>
    </children>
  </node>
  <node nid="111" from="3" to="6" subtrees="1">
    <label>fno(bier, żeń/poj, 3, tak, ni, np, rzecz, 2)</label>
    <children rule="no1">
      <child nid="112" from="3" to="6"/>
    </children>
  </node>
  <node nid="112" from="3" to="6" subtrees="1">
    <label>knodop(bier, żeń/poj, 3, tak, ni, np, rzecz, 3)</label>
    <children rule="no5">
      <child nid="113" from="3" to="6"/>
    </children>
  </node>
  <node nid="113" from="3" to="6" subtrees="1">
    <label>knopm(bier, żeń/poj, 3, tak, ni, np, rzecz, 4)</label>
    <children rule="no12">
      <child nid="114" from="3" to="6"/>
    </children>
  </node>
  <node nid="114" from="3" to="6" subtrees="1">
    <label>knoatr(bier, żeń/poj, 3, tak, ni, np, rzecz, 5)</label>
    <children rule="no27">
      <child nid="115" from="3" to="4"/>
      <child nid="47" from="4" to="6"/>
    </children>
  </node>
  <node nid="115" from="3" to="4" subtrees="1">
    <label>fpt(bier, żeń/poj, row, _, ni, np, przym, 0)</label>
    <children rule="pt1">
      <child nid="116" from="3" to="4"/>
    </children>
  </node>
  <node nid="116" from="3" to="4" subtrees="1">
    <label>kptno(bier, żeń/poj, row, _, ni, np, przym, 1)</label>
    <children rule="pt3">
      <child nid="117" from="3" to="4"/>
    </children>
  </node>
  <node nid="117" from="3" to="4" subtrees="1">
    <label>kptpm(bier, żeń/poj, row, _, ni, np, przym, 2)</label>
    <children rule="pt10">
      <child nid="118" from="3" to="4"/>
    </children>
  </node>
  <node nid="118" from="3" to="4" subtrees="1">
    <label>kptps(bier, żeń/poj, row, _, ni, np, przym, 3)</label>
    <children rule="pt17">
      <child nid="78" from="3" to="4"/>
    </children>
  </node>
  <node nid="119" from="3" to="6" subtrees="1">
    <label>fno(bier, żeń/poj, 3, tak, ni, np, rzecz, 4)</label>
    <children rule="no1">
      <child nid="120" from="3" to="6"/>
    </children>
  </node>
  <node nid="120" from="3" to="6" subtrees="1">
    <label>knodop(bier, żeń/poj, 3, tak, ni, np, rzecz, 5)</label>
    <children rule="no8">
      <child nid="121" from="3" to="5"/>
      <child nid="126" from="5" to="6"/>
    </children>
  </node>
  <node nid="121" from="3" to="5" subtrees="1">
    <label>knopm(bier, żeń/poj, 3, tak, ni, np, rzecz, 4)</label>
    <children rule="no12">
      <child nid="122" from="3" to="5"/>
    </children>
  </node>
  <node nid="122" from="3" to="5" subtrees="1">
    <label>knoatr(bier, żeń/poj, 3, tak, ni, np, rzecz, 5)</label>
    <children rule="no27">
      <child nid="123" from="3" to="4"/>
      <child nid="53" from="4" to="5"/>
    </children>
  </node>
  <node nid="123" from="3" to="4" subtrees="1">
    <label>fpt(bier, żeń/poj, row, _, ni, np, przym, 0)</label>
    <children rule="pt1">
      <child nid="124" from="3" to="4"/>
    </children>
  </node>
  <node nid="124" from="3" to="4" subtrees="1">
    <label>kptno(bier, żeń/poj, row, _, ni, np, przym, 1)</label>
    <children rule="pt3">
      <child nid="125" from="3" to="4"/>
    </children>
  </node>
  <node nid="125" from="3" to="4" subtrees="1">
    <label>kptpm(bier, żeń/poj, row, _, ni, np, przym, 2)</label>
    <children rule="pt10">
      <child nid="118" from="3" to="4"/>
    </children>
  </node>
  <node nid="126" from="5" to="6" subtrees="1">
    <label>fno(dop, mos/poj, 3, _, ni, np, rzecz, 0)</label>
    <children rule="no1">
      <child nid="127" from="5" to="6"/>
    </children>
  </node>
  <node nid="127" from="5" to="6" subtrees="1">
    <label>knodop(dop, mos/poj, 3, _, ni, np, rzecz, 1)</label>
    <children rule="no5">
      <child nid="128" from="5" to="6"/>
    </children>
  </node>
  <node nid="128" from="5" to="6" subtrees="1">
    <label>knopm(dop, mos/poj, 3, _, ni, np, rzecz, 2)</label>
    <children rule="no12">
      <child nid="129" from="5" to="6"/>
    </children>
  </node>
  <node nid="129" from="5" to="6" subtrees="1">
    <label>knoatr(dop, mos/poj, 3, _, ni, np, rzecz, 3)</label>
    <children rule="no19">
      <child nid="83" from="5" to="6"/>
    </children>
  </node>
  <node nid="130" from="3" to="5" subtrees="1">
    <label>fl1(nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="lu6">
      <child nid="131" from="3" to="5"/>
    </children>
  </node>
  <node nid="131" from="3" to="5" subtrees="1">
    <label>fno(bier, żeń/poj, 3, tak, ni, np, rzecz, 2)</label>
    <children rule="no1">
      <child nid="132" from="3" to="5"/>
    </children>
  </node>
  <node nid="132" from="3" to="5" subtrees="1">
    <label>knodop(bier, żeń/poj, 3, tak, ni, np, rzecz, 3)</label>
    <children rule="no5">
      <child nid="121" from="3" to="5"/>
    </children>
  </node>
  <node nid="133" from="0" to="6" subtrees="10">
    <label>ze(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], tak, ni, np, br, 4)</label>
    <children rule="e5">
      <child nid="134" from="0" to="1"/>
      <child nid="135" from="1" to="5"/>
      <child nid="145" from="5" to="6"/>
    </children>
    <children rule="e5">
      <child nid="134" from="0" to="1"/>
      <child nid="147" from="1" to="3"/>
      <child nid="156" from="3" to="6"/>
    </children>
    <children rule="e5">
      <child nid="134" from="0" to="1"/>
      <child nid="159" from="1" to="2"/>
      <child nid="166" from="2" to="6"/>
    </children>
  </node>
  <node nid="134" from="0" to="1" subtrees="1">
    <label>fw(np(mian), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy1">
      <child nid="7" from="0" to="1"/>
    </children>
  </node>
  <node nid="135" from="1" to="5" subtrees="2">
    <label>ff(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, tak, ni, np, br)</label>
    <children rule="fi3">
      <child nid="136" from="1" to="2"/>
      <child nid="143" from="2" to="5"/>
    </children>
  </node>
  <node nid="136" from="1" to="2" subtrees="1">
    <label>ff1(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, tak, ni, np, br)</label>
    <children rule="fi4">
      <child nid="137" from="1" to="2"/>
    </children>
  </node>
  <node nid="137" from="1" to="2" subtrees="1">
    <label>kweneg(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, tak, ni, np)</label>
    <children rule="we22e">
      <child nid="138" from="1" to="2"/>
    </children>
  </node>
  <node nid="138" from="1" to="2" subtrees="1">
    <label>kweink(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, ni, np)</label>
    <children rule="we26">
      <child nid="139" from="1" to="2"/>
    </children>
  </node>
  <node nid="139" from="1" to="2" subtrees="1">
    <label>kwer(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, np)</label>
    <children rule="we29">
      <child nid="140" from="1" to="2"/>
    </children>
  </node>
  <node nid="140" from="1" to="2" subtrees="1">
    <label>kwer1(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, np)</label>
    <children rule="we30n">
      <child nid="141" from="1" to="2"/>
    </children>
  </node>
  <node nid="141" from="1" to="2" subtrees="1">
    <label>formaczas(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _)</label>
    <children rule="n_cz1">
      <child nid="142" from="1" to="2"/>
    </children>
  </node>
  <node nid="142" from="1" to="2" subtrees="1">
    <label>formaczas1(n, os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _)</label>
    <children rule="n_cz4">
      <child nid="24" from="1" to="2"/>
    </children>
  </node>
  <node nid="143" from="2" to="5" subtrees="2">
    <label>fl(nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="lu1">
      <child nid="84" from="2" to="5"/>
    </children>
    <children rule="lu4">
      <child nid="102" from="2" to="3"/>
      <child nid="144" from="3" to="5"/>
    </children>
  </node>
  <node nid="144" from="3" to="5" subtrees="1">
    <label>fl(nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="lu1">
      <child nid="130" from="3" to="5"/>
    </children>
  </node>
  <node nid="145" from="5" to="6" subtrees="1">
    <label>fw(np(bier), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy1">
      <child nid="146" from="5" to="6"/>
    </children>
  </node>
  <node nid="146" from="5" to="6" subtrees="1">
    <label>fw1(np(bier), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy10">
      <child nid="89" from="5" to="6"/>
    </children>
  </node>
  <node nid="147" from="1" to="3" subtrees="1">
    <label>ff(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, tak, ni, np, br)</label>
    <children rule="fi3">
      <child nid="148" from="1" to="2"/>
      <child nid="155" from="2" to="3"/>
    </children>
  </node>
  <node nid="148" from="1" to="2" subtrees="1">
    <label>ff1(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, tak, ni, np, br)</label>
    <children rule="fi4">
      <child nid="149" from="1" to="2"/>
    </children>
  </node>
  <node nid="149" from="1" to="2" subtrees="1">
    <label>kweneg(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, tak, ni, np)</label>
    <children rule="we22e">
      <child nid="150" from="1" to="2"/>
    </children>
  </node>
  <node nid="150" from="1" to="2" subtrees="1">
    <label>kweink(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, ni, np)</label>
    <children rule="we26">
      <child nid="151" from="1" to="2"/>
    </children>
  </node>
  <node nid="151" from="1" to="2" subtrees="1">
    <label>kwer(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, np)</label>
    <children rule="we29">
      <child nid="152" from="1" to="2"/>
    </children>
  </node>
  <node nid="152" from="1" to="2" subtrees="1">
    <label>kwer1(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, np)</label>
    <children rule="we30n">
      <child nid="153" from="1" to="2"/>
    </children>
  </node>
  <node nid="153" from="1" to="2" subtrees="1">
    <label>formaczas(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _)</label>
    <children rule="n_cz1">
      <child nid="154" from="1" to="2"/>
    </children>
  </node>
  <node nid="154" from="1" to="2" subtrees="1">
    <label>formaczas1(n, os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _)</label>
    <children rule="n_cz4">
      <child nid="24" from="1" to="2"/>
    </children>
  </node>
  <node nid="155" from="2" to="3" subtrees="1">
    <label>fl(nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="lu1">
      <child nid="102" from="2" to="3"/>
    </children>
  </node>
  <node nid="156" from="3" to="6" subtrees="4">
    <label>fw(np(bier), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy1">
      <child nid="157" from="3" to="6"/>
    </children>
    <children rule="wy4">
      <child nid="158" from="3" to="5"/>
      <child nid="87" from="5" to="6"/>
    </children>
  </node>
  <node nid="157" from="3" to="6" subtrees="2">
    <label>fw1(np(bier), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy10">
      <child nid="111" from="3" to="6"/>
    </children>
    <children rule="wy10">
      <child nid="119" from="3" to="6"/>
    </children>
  </node>
  <node nid="158" from="3" to="5" subtrees="1">
    <label>fw1(np(bier), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy10">
      <child nid="131" from="3" to="5"/>
    </children>
  </node>
  <node nid="159" from="1" to="2" subtrees="1">
    <label>ff(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, tak, ni, np, br)</label>
    <children rule="fi1">
      <child nid="160" from="1" to="2"/>
    </children>
  </node>
  <node nid="160" from="1" to="2" subtrees="1">
    <label>ff1(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, tak, ni, np, br)</label>
    <children rule="fi4">
      <child nid="161" from="1" to="2"/>
    </children>
  </node>
  <node nid="161" from="1" to="2" subtrees="1">
    <label>kweneg(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, tak, ni, np)</label>
    <children rule="we22e">
      <child nid="162" from="1" to="2"/>
    </children>
  </node>
  <node nid="162" from="1" to="2" subtrees="1">
    <label>kweink(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, ni, np)</label>
    <children rule="we26">
      <child nid="163" from="1" to="2"/>
    </children>
  </node>
  <node nid="163" from="1" to="2" subtrees="1">
    <label>kwer(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, np)</label>
    <children rule="we29">
      <child nid="164" from="1" to="2"/>
    </children>
  </node>
  <node nid="164" from="1" to="2" subtrees="1">
    <label>kwer1(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _, np)</label>
    <children rule="we30n">
      <child nid="165" from="1" to="2"/>
    </children>
  </node>
  <node nid="165" from="1" to="2" subtrees="1">
    <label>formaczas(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(bier)], _)</label>
    <children rule="n_cz1">
      <child nid="154" from="1" to="2"/>
    </children>
  </node>
  <node nid="166" from="2" to="6" subtrees="4">
    <label>fw(np(bier), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy1">
      <child nid="167" from="2" to="6"/>
    </children>
    <children rule="wy4">
      <child nid="168" from="2" to="5"/>
      <child nid="87" from="5" to="6"/>
    </children>
  </node>
  <node nid="167" from="2" to="6" subtrees="2">
    <label>fw1(np(bier), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy10">
      <child nid="27" from="2" to="6"/>
    </children>
    <children rule="wy10">
      <child nid="65" from="2" to="6"/>
    </children>
  </node>
  <node nid="168" from="2" to="5" subtrees="1">
    <label>fw1(np(bier), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy10">
      <child nid="85" from="2" to="5"/>
    </children>
  </node>
  <node nid="169" from="0" to="6" subtrees="4">
    <label>ze(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel)], tak, ni, np, br, 4)</label>
    <children rule="e5">
      <child nid="134" from="0" to="1"/>
      <child nid="170" from="1" to="2"/>
      <child nid="178" from="2" to="6"/>
    </children>
  </node>
  <node nid="170" from="1" to="2" subtrees="1">
    <label>ff(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel)], _, tak, ni, np, br)</label>
    <children rule="fi1">
      <child nid="171" from="1" to="2"/>
    </children>
  </node>
  <node nid="171" from="1" to="2" subtrees="1">
    <label>ff1(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel)], _, tak, ni, np, br)</label>
    <children rule="fi4">
      <child nid="172" from="1" to="2"/>
    </children>
  </node>
  <node nid="172" from="1" to="2" subtrees="1">
    <label>kweneg(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel)], _, tak, ni, np)</label>
    <children rule="we22e">
      <child nid="173" from="1" to="2"/>
    </children>
  </node>
  <node nid="173" from="1" to="2" subtrees="1">
    <label>kweink(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel)], _, ni, np)</label>
    <children rule="we26">
      <child nid="174" from="1" to="2"/>
    </children>
  </node>
  <node nid="174" from="1" to="2" subtrees="1">
    <label>kwer(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel)], _, np)</label>
    <children rule="we29">
      <child nid="175" from="1" to="2"/>
    </children>
  </node>
  <node nid="175" from="1" to="2" subtrees="1">
    <label>kwer1(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel)], _, np)</label>
    <children rule="we30n">
      <child nid="176" from="1" to="2"/>
    </children>
  </node>
  <node nid="176" from="1" to="2" subtrees="1">
    <label>formaczas(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel)], _)</label>
    <children rule="n_cz1">
      <child nid="177" from="1" to="2"/>
    </children>
  </node>
  <node nid="177" from="1" to="2" subtrees="1">
    <label>formaczas1(n, os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel)], _)</label>
    <children rule="n_cz4">
      <child nid="24" from="1" to="2"/>
    </children>
  </node>
  <node nid="178" from="2" to="6" subtrees="4">
    <label>fw(np(cel), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy4">
      <child nid="179" from="2" to="3"/>
      <child nid="109" from="3" to="6"/>
    </children>
  </node>
  <node nid="179" from="2" to="3" subtrees="1">
    <label>fw1(np(cel), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy11">
      <child nid="103" from="2" to="3"/>
    </children>
  </node>
  <node nid="180" from="0" to="6" subtrees="5">
    <label>ze(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], tak, ni, np, br, 4)</label>
    <children rule="e5">
      <child nid="134" from="0" to="1"/>
      <child nid="181" from="1" to="2"/>
      <child nid="189" from="2" to="5"/>
      <child nid="145" from="5" to="6"/>
    </children>
    <children rule="e5">
      <child nid="134" from="0" to="1"/>
      <child nid="190" from="1" to="2"/>
      <child nid="197" from="2" to="3"/>
      <child nid="156" from="3" to="6"/>
    </children>
  </node>
  <node nid="181" from="1" to="2" subtrees="1">
    <label>ff(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _, tak, ni, np, br)</label>
    <children rule="fi1">
      <child nid="182" from="1" to="2"/>
    </children>
  </node>
  <node nid="182" from="1" to="2" subtrees="1">
    <label>ff1(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _, tak, ni, np, br)</label>
    <children rule="fi4">
      <child nid="183" from="1" to="2"/>
    </children>
  </node>
  <node nid="183" from="1" to="2" subtrees="1">
    <label>kweneg(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _, tak, ni, np)</label>
    <children rule="we22e">
      <child nid="184" from="1" to="2"/>
    </children>
  </node>
  <node nid="184" from="1" to="2" subtrees="1">
    <label>kweink(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _, ni, np)</label>
    <children rule="we26">
      <child nid="185" from="1" to="2"/>
    </children>
  </node>
  <node nid="185" from="1" to="2" subtrees="1">
    <label>kwer(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _, np)</label>
    <children rule="we29">
      <child nid="186" from="1" to="2"/>
    </children>
  </node>
  <node nid="186" from="1" to="2" subtrees="1">
    <label>kwer1(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _, np)</label>
    <children rule="we30n">
      <child nid="187" from="1" to="2"/>
    </children>
  </node>
  <node nid="187" from="1" to="2" subtrees="1">
    <label>formaczas(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _)</label>
    <children rule="n_cz1">
      <child nid="188" from="1" to="2"/>
    </children>
  </node>
  <node nid="188" from="1" to="2" subtrees="1">
    <label>formaczas1(n, os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _)</label>
    <children rule="n_cz4">
      <child nid="24" from="1" to="2"/>
    </children>
  </node>
  <node nid="189" from="2" to="5" subtrees="1">
    <label>fw(np(cel), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy4">
      <child nid="179" from="2" to="3"/>
      <child nid="144" from="3" to="5"/>
    </children>
  </node>
  <node nid="190" from="1" to="2" subtrees="1">
    <label>ff(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _, tak, ni, np, br)</label>
    <children rule="fi1">
      <child nid="191" from="1" to="2"/>
    </children>
  </node>
  <node nid="191" from="1" to="2" subtrees="1">
    <label>ff1(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _, tak, ni, np, br)</label>
    <children rule="fi4">
      <child nid="192" from="1" to="2"/>
    </children>
  </node>
  <node nid="192" from="1" to="2" subtrees="1">
    <label>kweneg(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _, tak, ni, np)</label>
    <children rule="we22e">
      <child nid="193" from="1" to="2"/>
    </children>
  </node>
  <node nid="193" from="1" to="2" subtrees="1">
    <label>kweink(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _, ni, np)</label>
    <children rule="we26">
      <child nid="194" from="1" to="2"/>
    </children>
  </node>
  <node nid="194" from="1" to="2" subtrees="1">
    <label>kwer(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _, np)</label>
    <children rule="we29">
      <child nid="195" from="1" to="2"/>
    </children>
  </node>
  <node nid="195" from="1" to="2" subtrees="1">
    <label>kwer1(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _, np)</label>
    <children rule="we30n">
      <child nid="196" from="1" to="2"/>
    </children>
  </node>
  <node nid="196" from="1" to="2" subtrees="1">
    <label>formaczas(os, nd, ter, ozn, mos/poj, 3, [np(mian), np(cel), np(bier)], _)</label>
    <children rule="n_cz1">
      <child nid="188" from="1" to="2"/>
    </children>
  </node>
  <node nid="197" from="2" to="3" subtrees="1">
    <label>fw(np(cel), _, nd, ter, mos/poj, 3, tak, ni, np)</label>
    <children rule="wy1">
      <child nid="179" from="2" to="3"/>
    </children>
  </node>
  <node nid="198" from="6" to="7" subtrees="1">
    <label>znakkonca(np)</label>
    <children rule="int2">
      <child nid="199" from="6" to="7"/>
    </children>
  </node>
  <node nid="199" from="6" to="7" subtrees="1">
    <label>terminal(morf(., ., interp))</label>
  </node>
</forest>